# FILE: mmLog.tcl
#
# The network wrapping for an instance of the em_wisgetLog class.
#

# Set up for auto-loading
set master(relhdir) [string trimright [file dirname [info script]] ./]
set master(abshdir) [file join [pwd] $master(relhdir)]
set master(pdir) [file dirname $master(abshdir)]
set master(libdir) [file dirname $master(pdir)]
if {[lsearch $auto_path $master(libdir)] < 0} {
    lappend auto_path $master(libdir)
}

# Support libraries
package require Tk
package require em
package require net

set log [em_widgetlog new -dateformat "" -title ""]
set protocol [net_protocol new -name "OOMMF log protocol 0.0"]
$protocol Wrap $log 1
set server [net_server new -protocol $protocol -alias mmLog -log em_nop]
$server Start 0
wm title . mmLog<[pid]>
# Improve this later:
em_eventHandler new $log delete { after 2000 exit }
vwait omf_forever
